Debian Bug report logs - #539209
linux-2.6.30-1-686: Please enable preemption

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Wed, 29 Jul 2009 20:12:01 UTC

Severity: wishlist

Tags: wontfix

Merged with 311185, 496871

Found in version linux-2.6/2.6.26-4

Fixed in version 2.6.32-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, unknown-package@qa.debian.org:
Bug#539209; Package linux-2.6.30-1-686. (Wed, 29 Jul 2009 20:12:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6.30-1-686: Please enable preemption
Date: Wed, 29 Jul 2009 13:07:36 -0700
Package: linux-2.6.30-1-686
Severity: normal

I just discovered that the Debian kernel packages do not have preemption
enabled:

CONFIG_PREEMPT_NONE=y
# CONFIG_PREEMPT is not set

Some checking suggests that this choice dates back to the very early 2.6
kernel days, when preemption still represented an experimental option
and much kernel code still needed fixing to work properly with it.  That
has not held true for a very long time, and CONFIG_PREEMPT now
represents the more common kernel configuration.

Please consider switching from CONFIG_PREEMPT_NONE to CONFIG_PREEMPT.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Bug reassigned from package 'linux-2.6.30-1-686' to 'linux-2.6'. Request was from Stefan Ritter <xeno@thehappy.de> to control@bugs.debian.org. (Wed, 29 Jul 2009 21:27:04 GMT) Full text and rfc822 format available.

Forcibly Merged 496871 539209. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 12 Sep 2009 14:15:08 GMT) Full text and rfc822 format available.

Forcibly Merged 311185 496871 539209. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 12 Sep 2009 14:24:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Mar 2010 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:32:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.